Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp Struct Reference

List of all members.

## Public Types
typedef boost::call_traits< Key >::param_type | key_param
## Public Member Functions
| key_comp (key_param k, key_equal equal)
bool | operator() (typename boost::call_traits< value_type >::param_type pair) const
## Public Attributes
key_param | key
key_equal | keyEqual

### template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
struct gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp

## Member Typedef Documentation

template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
typedef boost::call_traits< Key >::param_type gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_param

| Definition at line 87 of file hash.h. Referenced by gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_comp().

## Constructor & Destructor Documentation

template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_comp | ( | key_param | k,
|  | key_equal | equal
| ) | `[inline]`

| Definition at line 90 of file hash.h. References gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key, gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_equal, gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_param, and gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::keyEqual.
    00090 : key( k ), keyEqual( equal ) {}

## Member Function Documentation

template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
bool gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::operator() | ( | typename boost::call_traits< value_type >::param_type | pair | ) | const`[inline]`

| Definition at line 91 of file hash.h. References gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key, and gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::keyEqual.
    00091                                                                                                   {
    00092                     return keyEqual( key, pair.first );
    00093                 }

## Member Data Documentation

template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
key_param gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key

| Definition at line 88 of file hash.h. Referenced by gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_comp(), and gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::operator()().

template<typename Key, typename Value, typename Cont, typename KeyEqual = std::equal_to< Key >>
key_equal gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::keyEqual

| Definition at line 89 of file hash.h. Referenced by gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::key_comp(), and gslib::static_container::hash< Key, Value, Cont, KeyEqual >::key_comp::operator()().

The documentation for this struct was generated from the following file:

- hash.h